<!-- prettier-ignore-start -->
# Class SuggestedPhrase

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.suggest.SuggestedPhrase](dw.suggest.SuggestedPhrase.md)

This class represents a suggested phrase.
Use [getPhrase()](dw.suggest.SuggestedPhrase.md#getphrase) method to get access to the phrase.



## Property Summary

| Property | Description |
| --- | --- |
| [exactMatch](#exactmatch): [Boolean](TopLevel.Boolean.md) `(read-only)` | This method returns a flag signaling whether this phrase is a exact match. |
| [phrase](#phrase): [String](TopLevel.String.md) `(read-only)` | This method returns the actual phrase as a string value. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getPhrase](dw.suggest.SuggestedPhrase.md#getphrase)() | This method returns the actual phrase as a string value. |
| [isExactMatch](dw.suggest.SuggestedPhrase.md#isexactmatch)() | This method returns a flag signaling whether this phrase is a exact match. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### exactMatch
- exactMatch: [Boolean](TopLevel.Boolean.md) `(read-only)`
  - : This method returns a flag signaling whether this phrase is a exact match.


---

### phrase
- phrase: [String](TopLevel.String.md) `(read-only)`
  - : This method returns the actual phrase as a string value.


---

## Method Details

### getPhrase()
- getPhrase(): [String](TopLevel.String.md)
  - : This method returns the actual phrase as a string value.

    **Returns:**
    - the phrase


---

### isExactMatch()
- isExactMatch(): [Boolean](TopLevel.Boolean.md)
  - : This method returns a flag signaling whether this phrase is a exact match.

    **Returns:**
    - true if this phrase is a exact match, false otherwise


---

<!-- prettier-ignore-end -->
